Page MenuHomePhabricator

Added std.floor operation to match std.ceil
ClosedPublic

Authored by rsuderman on Aug 13 2020, 3:01 PM.

Details

Summary

Added std.floor operation to match std.ceil

Diff Detail

Event Timeline

rsuderman created this revision.Aug 13 2020, 3:01 PM
rsuderman requested review of this revision.Aug 13 2020, 3:01 PM
rsuderman retitled this revision from Added std.floor operation to make std.ceil to Added std.floor operation to match std.ceil.Aug 13 2020, 3:13 PM
rsuderman edited the summary of this revision. (Show Details)
ftynse accepted this revision.Aug 14 2020, 2:29 AM
ftynse added inline comments.
mlir/test/IR/core-ops.mlir
557

Nit: let's just drop the regex on the LHS of = altogether. The fact that = is printed is sufficient to check that an op has a result

This revision is now accepted and ready to land.Aug 14 2020, 2:29 AM

Sync to head.

rsuderman updated this revision to Diff 286163.Aug 17 2020, 3:52 PM

Updated for nit comments.

Sync to head.

This revision was landed with ongoing or failed builds.Aug 18 2020, 10:36 AM
This revision was automatically updated to reflect the committed changes.